#!/bin/sh

BIN=neoinput
CLIENT_BIN=${BIN}_client
SERVER_BIN=${BIN}_server

PREFIX=/usr/local
BINDIR=${PREFIX}/bin
DATADIR=${PREFIX}/share/${BIN}
CONFIGDIR=${PREFIX}/etc/${BIN}

install_client()
{
	mkdir -p ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${CONFIGDIR}
	mkdir -p ${DESTDIR}${DATADIR}
	install ${CLIENT_BIN} ${DESTDIR}${BINDIR}
	install presets/* ${DESTDIR}${DATADIR}
	install configuration/${CLIENT_BIN}.conf ${DESTDIR}${CONFIGDIR}
}

install_server()
{
	mkdir -p ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${CONFIGDIR}
	install ${SERVER_BIN} ${DESTDIR}${BINDIR}
	install configuration/${SERVER_BIN}.conf ${DESTDIR}${CONFIGDIR}
}

if [ -f ${CLIENT_BIN} ]
then
	install_client
fi

if [ -f ${SERVER_BIN} ]
then
	install_server
fi
